## org.hibernate.cache.spi
Class FilterKey

    java.lang.Object
      org.hibernate.cache.spi.FilterKey

All Implemented Interfaces:
  Serializable

    public final class FilterKey

extends Object
implements Serializable

Allows cached queries to be keyed by enabled filters.

See Also:
  Serialized Form

Constructor Summary
`FilterKey(String name, Map<String,?> params, Map<String,Type> types)`

Method Summary
`static Set<FilterKey>` `createFilterKeys(Map<String,Filter> enabledFilters)`
`boolean` `equals(Object other)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterKey

    public FilterKey(String name,
                     Map<String,?> params,
                     Map<String,Type> types)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createFilterKeys

    public static Set<FilterKey> createFilterKeys(Map<String,Filter> enabledFilters)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.